--- title: "CRL configuration: Request" slug: "crl-configuration-request" tags: ["Reference", "NDRC 4.x", "Customer", "Network Security", "NDR 4.x"] updated: 2026-09-09T18:07:45Z published: 2026-09-09T18:07:45Z canonical: "docs.trellix.com/crl-configuration-request" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # CRL configuration: Request To get the 2FA certificate revocation list configuration, send the following request: ``` GET https://:/config/v1/auth/x509/crl ``` Required headers: ``` Cookie: px= X-Username: X-Role: > ``` ### Options - IA_IP_address—The IP address of the NDR appliance running the NDR API. - port_number—The port number of the NDR appliance running the NDR API. - token—This token authenticates the session. By default, the session times out after 24 hours. - user—The user ID. - role—The user's role. ### Example ``` GET https://xxx.xxx.xxx.xxx:443/config/v1/auth/x509/crl ``` Required headers: ``` Cookie: px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx X-Username: wheel X-Role: wheel ``` ### CRL configuration: Response ``` HTTP/1.1 [Response Code] [Response Message] Date: [Date] Content-Type: [Content Type] {  "retrievalInterval": int,  "retrievalUrl": "url",  "enableRetrieval": Boolean,  "provided": Boolean } ``` ###### Response fields - Response code—A standard HTTP response code. - 200—Request successful; the configuration was successful. - Response message—A standard HTTP response message. - OK—Request successful; the configuration was successful. - Date—Standard HTML date format. - Content type—The response format. - state—The two-factor authentication state of the specified user. ###### Example ``` HTTP/1.1 200 OK Date: Fri, 16 Aug 2019 11:13:01 GMT Content-Type: application/json; charset=utf-8 {  "retrievalInterval": 0,  "retrievalUrl": "",  "enableRetrieval": false,  "provided": false } ``` ### cURL code sample: CRL configuration ``` curl -k --cookie "px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" -H "X-Username: wheel" -H "X-Role: wheel" https://xxx.xxx.xxx.xxx:443/config/v1/auth/x509/crl ``` This cURL sample includes the following options: - `-k`—This option explicitly allows cURL to perform insecure SSL connections and transfers, which allows you to test your SSL connection without installing a CA certificate. - `--cookie "px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"`—This option specifies the authentication token for this session. - `-H "X-Username: wheel"`—User name. - `-H "X-Role: wheel"`—User role. - `https://xxx.xxx.xxx.xxx:443/config/v1/auth/x509/crl`—The CRL request URL. Replace `xxx.xxx.xxx.xxx` with the IP address of your NDR appliance. ###### Results This example retrieves the CRL configuration.